Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.coverage
Interface SampleDimension

    @UML(identifier="CV_SampleDimension",
         specification=OGC_01004)
    public interface SampleDimension

Contains information for an individual sample dimension of coverage. This interface is applicable to any coverage type. For grid coverages, the sample dimension refers to an individual band.

WARNING: THIS CLASS WILL CHANGE. Current API is derived from OGC Grid Coverages Implementation specification 1.0. We plan to replace it by new interfaces derived from ISO 19123 (Schema for coverage geometry and functions). Current interfaces should be considered as legacy and are included in this distribution only because they were part of GeoAPI 1.0 release. We will try to preserve as much compatibility as possible, but no migration plan has been determined yet.

Since:
  GeoAPI 1.0
Version:
  Grid Coverage specification 1.0

Method Summary
`InternationalString[]` | `getCategoryNames()` Sequence of category names for the values contained in a sample dimension.
`ColorInterpretation` | `getColorInterpretation()` Deprecated. No replacement.
`InternationalString` | `getDescription()` Sample dimension title or description.
`double` | `getMaximumValue()` The maximum value occurring in the sample dimension.
`String[]` | `getMetaDataNames()` Deprecated. No replacement.
`String` | `getMetadataValue(String name)` Deprecated. No replacement.
`double` | `getMinimumValue()` The minimum value occurring in the sample dimension.
`double[]` | `getNoDataValues()` Values to indicate no data values for the sample dimension.
`double` | `getOffset()` Offset is the value to add to grid values for this sample dimension.
`int[][]` | `getPalette()` Deprecated. No replacement.
`PaletteInterpretation` | `getPaletteInterpretation()` Deprecated. No replacement.
`SampleDimensionType` | `getSampleDimensionType()` A code value indicating grid value data type.
`MathTransform1D` | `getSampleToGeophysics()` The transform which is applied to grid values for this sample dimension.
`double` | `getScale()` Scale is the value which is multiplied to grid values for this sample dimension.
`Unit` | `getUnits()` The unit information for this sample dimension.

Method Detail

### getDescription

    @UML(identifier="description",
         obligation=MANDATORY,
         specification=OGC_01004)
    InternationalString getDescription()

  Sample dimension title or description. This string may be null or empty if no description is present.

### getSampleDimensionType

    @UML(identifier="sampleDimensionType",
         obligation=MANDATORY,
         specification=OGC_01004)
    SampleDimensionType getSampleDimensionType()

  A code value indicating grid value data type. This will also indicate the number of bits for the data type.

  Returns:
    A code value indicating grid value data type.

### getCategoryNames

    @UML(identifier="categoryNames",
         obligation=MANDATORY,
         specification=OGC_01004)
    InternationalString[] getCategoryNames()

  Sequence of category names for the values contained in a sample dimension. This allows for names to be assigned to numerical values. The first entry in the sequence relates to a cell value of zero. For grid coverages, category names are only valid for a classified grid data. For example:
  - 0 Background
  - 1 Water
  - 2 Forest
  - 3 Urban
  Note: If no category names exist, an empty sequence is returned.

### getColorInterpretation

    @UML(identifier="colorInterpretation",
         obligation=MANDATORY,
         specification=OGC_01004)
    ColorInterpretation getColorInterpretation()

  Deprecated. No replacement.

  Color interpretation of the sample dimension. A sample dimension can be an index into a color palette or be a color model component. If the sample dimension is not assigned a color interpretation the value is `UNDEFINED`.

  Returns:
    The color interpretation of the sample dimension.

### getPaletteInterpretation

    @UML(identifier="paletteInterpretation",
         obligation=MANDATORY,
         specification=OGC_01004)
    PaletteInterpretation getPaletteInterpretation()

  Deprecated. No replacement.

  Indicates the type of color palette entry for sample dimensions which have a palette. If a sample dimension has a palette, the color interpretation must be `GRAY_INDEX` or `PALETTE_INDEX`. A palette entry type can be Gray, RGB, CMYK or HLS.

  Returns:
    The type of color palette entry for sample dimensions which have a palette.

### getPalette

    @UML(identifier="palette",
         obligation=MANDATORY,
         specification=OGC_01004)
    int[][] getPalette()

  Deprecated. No replacement.

  Color palette associated with the sample dimension. A color palette can have any number of colors. See palette interpretation for meaning of the palette entries. If the grid coverage has no color palette, `null` will be returned.

  Returns:
    The color palette associated with the sample dimension.
  See Also:
    `getPaletteInterpretation()`, `getColorInterpretation()`, `IndexColorModel`

### getNoDataValues

    @UML(identifier="noDataValue",
         obligation=MANDATORY,
         specification=OGC_01004)
    double[] getNoDataValues()

  Values to indicate no data values for the sample dimension. For low precision sample dimensions, this will often be no data values.

  Returns:
    The values to indicate no data values for the sample dimension.
  See Also:
    `getMinimumValue()`, `getMaximumValue()`

### getMinimumValue

    @UML(identifier="minimumValue",
         obligation=MANDATORY,
         specification=OGC_01004)
    double getMinimumValue()

  The minimum value occurring in the sample dimension. If this value is not available, this value can be determined from the `GridAnalysis.getMinValue(int)` operation. This value can be empty if this value is not provided by the implementation.

  Returns:
    The minimum value occurring in the sample dimension.
  See Also:
    `getMaximumValue()`, `getNoDataValues()`

### getMaximumValue

    @UML(identifier="maximumValue",
         obligation=MANDATORY,
         specification=OGC_01004)
    double getMaximumValue()

  The maximum value occurring in the sample dimension. If this value is not available, this value can be determined from the `GridAnalysis.getMaxValue(int)` operation. This value can be empty if this value is not provided by the implementation.

  Returns:
    The maximum value occurring in the sample dimension.
  See Also:
    `getMinimumValue()`, `getNoDataValues()`

### getUnits

    @UML(identifier="units",
         obligation=MANDATORY,
         specification=OGC_01004)
    Unit getUnits()

  The unit information for this sample dimension. This interface typically is provided with grid coverages which represent digital elevation data. This value will be `null` if no unit information is available.

  Returns:
    The unit information for this sample dimension.

### getOffset

    @UML(identifier="offset",
         obligation=MANDATORY,
         specification=OGC_01004)
    double getOffset()

  Offset is the value to add to grid values for this sample dimension. This attribute is typically used when the sample dimension represents elevation data. The default for this value is 0.

  See Also:
    `getScale()`

### getScale

    @UML(identifier="scale",
         obligation=MANDATORY,
         specification=OGC_01004)
    double getScale()

  Scale is the value which is multiplied to grid values for this sample dimension. This attribute is typically used when the sample dimension represents elevation data. The default for this value is 1.

  See Also:
    `getOffset()`

### getSampleToGeophysics

    MathTransform1D getSampleToGeophysics()

  The transform which is applied to grid values for this sample dimension. This transform is often defined as y = offset + `scale`×x where x is the grid value and y is the geophysics value. However, this transform may also defines more complex relationship, for example a logarithmic one. In order words, this transform is a generalization of `getScale()`, `getOffset()` and `getNoDataValues()` methods.

  Returns:
    The transform from sample to geophysics values, or `null` if it doesn't apply.
  See Also:
    `getScale()`, `getOffset()`, `getNoDataValues()`

### getMetaDataNames

    @UML(identifier="metadataNames",
         obligation=MANDATORY,
         specification=OGC_01004)
    String[] getMetaDataNames()

  Deprecated. No replacement.

  The list of metadata keywords for a sample dimension. If no metadata is available, the sequence will be empty.

  See Also:
    `getMetadataValue(java.lang.String)`, `PropertySource`

### getMetadataValue

    @UML(identifier="getMetadataValue",
         obligation=MANDATORY,
         specification=OGC_01004)
    String getMetadataValue(String name)
                            throws MetadataNameNotFoundException

  Deprecated. No replacement.

  Retrieve the metadata value for a given metadata name.

  Parameters:
    `name` - Metadata keyword for which to retrieve metadata.
  Returns:
    The metadata value for a given metadata name.
  Throws:
    `MetadataNameNotFoundException` - if there is no value for the specified metadata name.
  See Also:
    `getMetaDataNames()`, `PropertySource`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.